GBTEST(1)

NAME
gbtest - Compute statistical tests on data

SYNOPSIS
gbtest [options] <tests list>

DESCRIPTION
Compute statistical tests on data. Each test is specified by a unique name and optional parameters follows, separated by commas. Depending on the test, one, two or three columns of data are expected. '1 dist' tests expect data in [0,1] from a distribution function. '1 sample' tests expect a single columns. Test on 'pairs' expect two columns of equal length. Test on '2 samples' expect two columns of data, possibly of different length. Test on 2+ and 3+ samples expect a varying number of columns. If more columns are provided, the test is repeated for any column in the case of 1 sample test, and any couple of columns in the case of 2 sample tests. In the last case, the output is expressed in matrix format, with estimated statistics on the lower triangle and p-scores (if requested) on the upper. The removal of 'nan' entries is automatic, and is performed consistently with the nature of the test.

Tests typically assume 1, 2 or 3+ samples. Available tests are:

D+,D-,D,V 1 dist
    Kolmogorov-Smirnov tests on cumulated data

W2,A2,U2
    1 dist Cramer-von Mises tests on cumulated data

CHI2-1
    1 samp Chi-Sqrd, 1 samp. 2nd column: th. prob.

WILCO
    1 samp Wilcoxon signed-rank test (mode=0)

TS  1 samp Student's T (mean=0)

TR-TP
    1 samp Test of randomness: turning points

TR-DS
    1 samp Test of randomness: difference sign

TR-RT
    1 samp Test of randomness: rank test

R   pairs Pearson's correlation coefficient

RHO pairs Spearman's Rho rank correlation

TAU pairs Kendall's Tau correlation

CHI2-2
    pairs Chi-Sqrd, 2 samples

TP  pairs Student's T with paired samples

WILCO2
    pairs Wilcoxon test on paired samples

KS  2 samp Kolmogorov-Smirnov test

T   2 samp Student's T with same variances

TH  2 samp Student's T with different variances

F   2 samp F-Test for different variances

WMW 2 samp Wilcoxon-Mann-Whitney U

FP  2 samp Fligner-Policello standardized U^

LEV-MEAN
    2+ samp Levene equality of variances using means

LEV-MED
    2+ samp Levene equality of variances using medians

KW  3+ samp Kruscal-Wallis test on 3+ samples

CHI2-N
    3+ samp Multi-columns contingency table analysis

OPTIONS

-p  compute associated significance

-s  input data are already sorted in ascending order

-F  specify the input fields separators (default " \t")

-o  set the output format (default '%12.6e')

-v  verbosity: 0 none, 1 headings, 2+ description (default 0)

-h  this help

EXAMPLES

gbtest FP < file
    compute the Fligner-Policello test on the columns of 'file', considering all possible pairings.

gbtest KW -p < file
    compute the Kruscal-Wallis test and its p-score on the first three columns of data in 'file'

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.